# MATBDIAG

MATBDIAG = "bdiag" - A matrix type to be used for block diagonal matrices. This matrix type is identical to MATSEQBDIAG when constructed with a single process communicator, and MATMPIBDIAG otherwise.

### Options Database Keys

-mat_type bdiag -sets the matrix type to "bdiag" during a call to MatSetFromOptions()

### See Also

MatCreateMPIBDiag,MATSEQBDIAG,MATMPIBDIAG

Level:beginner
Location: src/mat/impls/bdiag/mpi/mpibdiag.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html